Page MenuHomeFreeBSD

Remove the timed daemon.
ClosedPublic

Authored by gnn on Dec 10 2018, 11:56 PM.

Details

Summary

The timed daemon is outdated and should not be used, remove it from the tree.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

gnn created this revision.Dec 10 2018, 11:56 PM

Should you remove netdate.c entirely? and remove the prototype from date/extern.h ?

bcr added a subscriber: bcr.Dec 11 2018, 7:56 AM

This change probably warrants an UPDATING entry and entries to obsolete files?

gnn added a reviewer: bz.Dec 11 2018, 8:26 PM
bz requested changes to this revision.EditedDec 11 2018, 9:05 PM

Check libexec/rc/rc.d/Makefile:.if ${MK_TIMED} != "no"
Check tools/build/mk/OptionalObsoleteFiles.inc:.if ${MK_TIMED} == no
rm tools/build/options/WITHOUT_TIMED (and re-gen src.conf)

This revision now requires changes to proceed.Dec 11 2018, 9:05 PM
gnn updated this revision to Diff 51997.Dec 14 2018, 1:54 PM

Address comments from bcr@ and bz@

sbruno added a subscriber: sbruno.Dec 14 2018, 2:02 PM
sbruno added inline comments.
tools/build/mk/OptionalObsoleteFiles.inc
8506 ↗(On Diff #51997)

Should this be left in but without the MK_TIMED check? If we are nuking this feature, then the files should be deleted. Or am I wrong?

gnn updated this revision to Diff 51999.Dec 14 2018, 2:08 PM

Address comments from sbruno. Leave the obsolete files but remove the MK_TIMED.

bcr accepted this revision.Dec 14 2018, 2:32 PM

"Make it so" from manpages.

allanjude added inline comments.Dec 14 2018, 3:24 PM
bin/date/date.c
371 ↗(On Diff #51999)

seems to be a left over space here

gnn marked an inline comment as done.Dec 14 2018, 7:04 PM

Fixed

gnn updated this revision to Diff 52013.Dec 14 2018, 7:05 PM

Address leftover space.

bz requested changes to this revision.Dec 14 2018, 8:31 PM

I think you are still not removing /etc/rc.d/timed using ObsoleteFiles and also libexec/rc/rc.d/timed (I assume is where it's coming from given the Makefile change) is still in SVN.

This revision now requires changes to proceed.Dec 14 2018, 8:31 PM
bz added a comment.Dec 14 2018, 8:31 PM

I suggest a grep -ir timed over the src tree (ignore the .svn directory) is a good way of seeing or finding more.

bz added a comment.Dec 14 2018, 8:32 PM

Also please re-gen src.conf(5)

gnn updated this revision to Diff 52024.Dec 14 2018, 8:44 PM

Address recent comments by bz@, but not src.conf

gnn updated this revision to Diff 52046.Dec 15 2018, 10:00 AM

Regenerate src.conf

bz requested changes to this revision.Dec 15 2018, 12:12 PM

Sorry, a tiny tinsy bit more.

ObsoleteFiles.inc
43 ↗(On Diff #52046)

No, libexec/rc/rc.d/timed is a svn rm operation; that never existed in your filesystem. Seems you have done that so just remove the 2nd OLD_FILES line

tools/build/mk/OptionalObsoleteFiles.inc
8506 ↗(On Diff #51997)

I guess it should be moved from Optional to ObsoleteFiles.inc with the rc.d script

This revision now requires changes to proceed.Dec 15 2018, 12:12 PM
gnn updated this revision to Diff 52064.Dec 15 2018, 8:12 PM

Address Obsolete vs. OptionalObsolete issues.

gnn marked 2 inline comments as done.Dec 15 2018, 8:13 PM

Address issues with the latest diff.

bz accepted this revision.Dec 15 2018, 9:01 PM

Ok, let's try this..

This revision is now accepted and ready to land.Dec 15 2018, 9:01 PM
This revision was automatically updated to reflect the committed changes.